Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able.beans.knn
Class AttributeValueClass

    java.lang.Object
      com.ibm.able.beans.knn.AttributeValueClass

All Implemented Interfaces:
  java.io.Serializable

public class AttributeValueClass
extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`AttributeValueClass(int attr, int val, int cl)`

Method Summary
`boolean` | `equals(java.lang.Object avc)`
`int` | `getAttribute()`
`int` | `getClasS()`
`int` | `getCount()`
`double` | `getPosterior()`
`double` | `getPrior()`
`int` | `getValue()`
`int` | `hashCode()`
`void` | `incrementCount()`
`void` | `setCount(int c)`
`void` | `setPosterior(double p)`
`void` | `setPrior(double p)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AttributeValueClass

    public AttributeValueClass(int attr,
                               int val,
                               int cl)

Method Detail

### equals

    public boolean equals(java.lang.Object avc)

### hashCode

    public int hashCode()

### incrementCount

    public void incrementCount()

### getClasS

    public int getClasS()

### getValue

    public int getValue()

### getAttribute

    public int getAttribute()

### setCount

    public void setCount(int c)

### getCount

    public int getCount()

### setPrior

    public void setPrior(double p)

### getPrior

    public double getPrior()

### setPosterior

    public void setPosterior(double p)

### getPosterior

    public double getPosterior()

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005